> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mirurobotics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Self

> Retrieve the currently authenticated principal.



## OpenAPI

````yaml /references/platform-api/2026-10-29.yaml get /principal
openapi: 3.0.3
info:
  title: Miru Platform API
  description: The API between Miru and any external client
  version: 2026-10-29.everglades
  license:
    name: MIT
    url: https://opensource.org/licenses/MIT
  x-release-version: 2026-10-29.everglades
  x-git-commit:
    sha: fa872feb1c97431ace4e4f5636eea0856b5d73f3
    url: >-
      https://github.com/mirurobotics/openapi/commit/fa872feb1c97431ace4e4f5636eea0856b5d73f3
    message: >-
      feat(platform)!: name calibration components, roles and aspects by slug
      (#387)
    author: Ben's Agent
    branch: HEAD
    dirty: false
  x-build:
    built_at: '2026-10-29T05:41:56.762337+00:00'
servers:
  - url: https://api.mirurobotics.com/beta
    description: Miru Platform API
security:
  - ApiKeyAuth: []
paths:
  /principal:
    parameters:
      - $ref: '#/components/parameters/MiruVersion'
    get:
      tags:
        - Principals
      summary: Self
      description: Retrieve the currently authenticated principal.
      operationId: getSelf
      responses:
        '200':
          description: Successfully retrieved the principal.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Principal'
components:
  parameters:
    MiruVersion:
      name: Miru-Version
      in: header
      required: true
      schema:
        type: string
        example: 2026-10-29.everglades
      description: The API version the client was built against.
  schemas:
    Principal:
      title: Principal
      type: object
      required:
        - object
        - id
        - name
      properties:
        object:
          type: string
          enum:
            - principal
          example: principal
          x-stainless-const: true
          description: The object type, which is always `principal`.
        id:
          type: string
          example: api_key_123
          description: ID of the principal.
        name:
          type: string
          example: My CI/CD Key
          description: The display name of the principal.
      example:
        object: principal
        id: api_key_123
        name: My CI/CD Key
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: X-API-Key
      description: The API key to use for authentication.

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.